NSRSSC(8)

NAME
nsrssc - NetWorker save set consolidation program

SYNOPSIS
nsrssc -c client -N saveset [ -p pool ] [ -r ] [ -vq ]

DESCRIPTION
nsrssc consolidates the most recent level 1 (partial) save set and its corresponding full-level save set into a new full-level save set. This consolidation process effectively achieves the same outcome as a full-level backup at the time partial backup was done.

Normally, nsrssc is invoked within savegrp(8) as part of a consolidation-level backup. During the consolidation-level backup, savegrp(8) automatically generates a level 1 backup, then calls nsrssc to create a consolidated backup, using the latest full-level save set.

Using nsrssc allows for greater flexibility in scheduling backups and save set consolidation. Unlike the savegrp(8) command, which completes a consolidation backup prompty after the level 1 backup is completed, nsrssc allows you to schedule the consolidation at a different time. Scheduling a time between the full backup and consolidation backup frees up NetWorker to complete other processes.

If you execute nsrssc manually, the most recently backed-up save set must be a level 1 save set; otherwise, the consolidation will not be successful.

The nsrssc command requires at least two active devices. The consolidation process uses simultaneous device reads and writes to create its consolidated save set. This mechanism creates a restriction upon the location of the newly created save set. The new save set cannot be created on the same volume where the partial or full save set was derived. Also, volumes containing the previous full and level 1 save sets must reside on the same storage node.

OPTIONS

-c client
    Indicates the name of the client whose save set should be included for the consolidation process.

-N saveset
    Indicates the name for the generated consolidated save set.

-p pool
    Specifies the destination media pool to build the consolidated full save set. The pool may be any pool currently registered with nsrd(8). The selected pool must be the same pool type as the previous full-level save set. You can view pool values by selecting Pools from the Administration menu of networker(8). Pool values are also listed in the NSRpool resource. See nsr_pool(5).

    If this option is omitted, then the consolidated save sets are automatically built on volume(s) whose media pool is the same as that of the previous full-level save set.

-r  Removes the level 1 save set. If the level 1 save set is on tape, then the save set will expire. If the level 1 save set is on diskfile type volume, then the save set (including its index entries, its media database entries, and the actual save set data on disk) is removed. Please note that nsrssc will never attempt to remove the level 1 if consolidation fails.

-v  Enables verbose operation. In this mode, additional messages may be generated during the consolidation process.

-q  Runs quietly. This is the default mode.

EXAMPLES
The following examples demonstrate how save set consolidation can be performed. In both examples, a save set defined in group name elmanco is consolidated for client delepanto. The save set data for group elmanco is /etc and /users .

Example:

To perform a save set consolidation, use the following commands:
    savegrp -l 1 -I -G elmanco
    nsrssc -c delepanto -N /etc
    nsrssc -c delepanto -N /users

Note that this example is almost the same as doing a savegrp -G elmanco -l c. The only differences are: 1) No index and bootstrap is backed up after data is consolidated. 2) If there is a failure during the consolidated process, a full backup is not performed.

Example:

To direct level 1 data to a disk cache (file-type device) and have the level 1 save set removed after a full-level save set is built on tape, perform the following operations:

1. Set up a pool which only accepts level 1 data and its devices are only file type devices. 2. Run the following commands:
    savegrp -G elmanco -l 1 -I
    nsrssc -c delepanto -N /etc -r
    nsrssc -c delepanto -N /users -r

This process removes the level 1 completely. Also, since fast media (disk-file type) is involved, this process may be a much faster way of generating a full-level save set when compared to doing a regular full-level backup.

DIAGNOSTICS
On successful completion, nsrssc returns zero; otherwise, a non-zero value is returned.

Some error codes are:

98 Failed because the level 1 and previous full are not in the same storage node.

99 Failed, most likely due to a renamed/deleted directory condition

You may also see one of the following messages:

You are not authorized to run this command
    Only root or NetWorker administrators may run nsrssc

Cannot contact media database
    Most likely, nsrmmd(8) is unavailable to answer queries, or an additional NetWorker daemon may have completed processing. In either case, the system administrator needs to determine if the NetWorker services need to be restarted. Note, there may be a small interval during startup when the services may be unavailable to answer any queries.

SEE ALSO
nsr_schedule(5), nsr_mminfo(8), savegrp(8)